Bug 157115 - crash on inserting chart (gtk3): Assertion `m_pBody != NULL' failed
Summary: crash on inserting chart (gtk3): Assertion `m_pBody != NULL' failed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
24.2.0.0 alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:24.2.0
Keywords: accessibility, bibisected, bisected, haveBacktrace
Depends on:
Blocks: Chart GTK3 Crash-Assert
  Show dependency treegraph
 
Reported: 2023-09-06 10:16 UTC by Stéphane Guillou (stragu)
Modified: 2024-06-17 07:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace with LO Calc 24.2 alpha0+ on Ubuntu 20.04 (253.03 KB, text/x-log)
2023-09-06 10:16 UTC, Stéphane Guillou (stragu)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Guillou (stragu) 2023-09-06 10:16:07 UTC
Created attachment 189385 [details]
gdb backtrace with LO Calc 24.2 alpha0+ on Ubuntu 20.04

Steps:
1. Open Writer or Calc
2. Insert default chart

Result: crash

Repro in recent debug build:

Version: 24.2.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 410632ac4b8a280e0993e665ffa9cfede8326b49
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

In console for debug build:

warn:vcl.schedule:284416:284416:vcl/source/app/scheduler.cxx:610: Stop the task before changing the priority, as it will just change after the task was scheduled with the old prio!
warn:vcl:284416:284416:vcl/unx/gtk3/a11y/atklistener.cxx:176: index hint out of range, ignoring
soffice.bin: /home/tdf/lode/jenkins/workspace/lo_gerrit/tb/src_master/include/rtl/ref.hxx:216: reference_type* rtl::Reference<reference_type>::operator->() const [with reference_type = chart::ChartController]: Assertion `m_pBody != NULL' failed.

No repro with gen/x11 VCL plugin.

Bibisected with linux-64-24.2 repo to first bad commit 696267da19561af3f642495dadc9e31fb6ddaad5 pointing to core commit:

commit bdf2d664784b3ebe3e7078b9ec82a02d09d9ded8
author	Noel Grandin Sat Sep 02 10:44:51 2023 +0200
committer	Noel Grandin Sat Sep 02 15:01:44 2023 +0200
use more concrete type in AccessibleChartView
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/156466

Noel, can you please have a look?
Comment 1 Commit Notification 2023-09-06 11:21:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ce2232c05f13a5b1303156d2b0321009b017620

tdf#157115 crash on inserting chart (gtk3)

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Stéphane Guillou (stragu) 2023-09-28 20:15:00 UTC
Thanks Noel, all good in:

Version: 24.2.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 2902ab24ecc5ffbf4907ea83b2028508b9de6364
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: es-MX (en_AU.UTF-8); UI: en-US
Calc: threaded
Comment 3 xamigi56 2024-03-21 17:26:28 UTC Comment hidden (spam)
Comment 4 ranker 2024-03-26 11:56:01 UTC Comment hidden (spam)
Comment 5 connections game 2024-06-17 07:30:22 UTC Comment hidden (spam)